Page MenuHomePhabricator

Remove deprecated ResourceLoader alias modules for WikiEditor
Closed, ResolvedPublic

Description

These are all aliases otherwise removed as of January 2017:

  • ext.wikiEditor.toolbar
  • ext.wikiEditor.dialogs
  • ext.wikiEditor.core
  • jquery.wikiEditor
  • jquery.wikiEditor.core
  • jquery.wikiEditor.dialogs
  • jquery.wikiEditor.dialogs.config
  • jquery.wikiEditor.toolbar
  • jquery.wikiEditor.toolbar.config
  • jquery.wikiEditor.toolbar.i18n
  • Announce deprecation in Tech/News
  • mwgrep for them
  • fix easier ones
  • Remove.

Details

Related Gerrit Patches:
mediawiki/extensions/WikiEditor : masterEmit deprecation warnings when old modules are used

Event Timeline

Jdforrester-WMF triaged this task as Low priority.Jan 4 2018, 4:11 PM
Jdforrester-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 4:11 PM
Esanders added a comment.EditedJan 4 2018, 10:49 PM

mwgrep "jquery\.wikiEditor|ext\.wikiEditor\." --max-results 200

abwiki              MediaWiki:Editpage.js
adywiki             MediaWiki:Editpage.js
arwiki              MediaWiki:Gadget-Extra-Edittools.js
arwiki              MediaWiki:Gadget-Extra-Edittools2.js
arwiki              MediaWiki:Gadget-LeftLeaningItalics.js
arwiki              MediaWiki:Gadget-QPreview2.js
arwiki              MediaWiki:Gadget-WikiEditor.js
arwiki              MediaWiki:Gadget-searchlang.js
avwiki              MediaWiki:Gadget-urldecoder.js
avwiki              MediaWiki:Gadget-wikilinker.js
bawiki              MediaWiki:Editpage.js
bawiki              MediaWiki:RefToolbarLegacy.js
bawiki              MediaWiki:Wikificator.js
be_x_oldwiki        MediaWiki:Gadget-nt.js
be_x_oldwiki        MediaWiki:Gadget-templatestb.js
be_x_oldwiki        MediaWiki:Gadget-wikify.js
bewiki              MediaWiki:Gadget-wikify.js
bewiki              MediaWiki:RefToolbarLegacy.js
bewikisource        MediaWiki:Gadget-wikify.js
bnwikisource        MediaWiki:Gadget-Easy LST.js
bnwikisource        MediaWiki:Gadget-button-FI.js
cewiki              MediaWiki:Editpage.js
cewiki              MediaWiki:Gadget-urldecoder.js
commonswiki         MediaWiki:Gadget-ProveIt.js
cswikisource        MediaWiki:Gadget-AllowOCR.js
dewiki              MediaWiki:Gadget-Vorlagenmeister/core.js
elwikisource        MediaWiki:Gadget-Easy LST.js
elwikivoyage        MediaWiki:Listings.js
enwikibooks         MediaWiki:Common.js/Toolbox.js
enwikisource        MediaWiki:Gadget-Easy LST.js
eswiki              MediaWiki:Gadget-botonera.js
eswikibooks         MediaWiki:Gadget-botonera.js
eswikinews          MediaWiki:Gadget-botonera.js
eswikisource        MediaWiki:Gadget-PantallaCompleta.js
eswikivoyage        MediaWiki:Gadget-botonera.js
fawikibooks         MediaWiki:Gadget-Extra-Editbuttons.js
fawikinews          MediaWiki:Gadget-Extra-Editbuttons.js
fawikisource        MediaWiki:OCR.js
fawikivoyage        MediaWiki:Gadget-Extra-Editbuttons.js
fawikivoyage        MediaWiki:Gadget-ListingToolbar.js
frrwiki             MediaWiki:Gadget-ocr.js
frwiki              MediaWiki:Gadget-TiretSignature.js
frwikivoyage        MediaWiki:BoutonsListing.js
frwiktionary        MediaWiki:Gadget-Wiktoolbar-caracteres.js
frwiktionary        MediaWiki:Gadget-Wiktoolbar.js
frwiktionary        MediaWiki:Gadget-lib-toolbar.js
hewiki              MediaWiki:Gadget-QPreview.js
hewiki              MediaWiki:Gadget-TemplatesExternalLinks.js
hewikibooks         MediaWiki:Edittoolbar.js
hewikibooks         MediaWiki:Gadget-PreviewTab.js
hewikinews          MediaWiki:Gadget-PreviewTab.js
hewikisource        MediaWiki:Edittoolbar.js
hewikisource        MediaWiki:Gadget-PreviewTab.js
hewikivoyage        MediaWiki:Edittoolbar.js
hewiktionary        MediaWiki:Edittoolbar.js
huwikisource        MediaWiki:Gadget-addOButtonsToAdv.js
huwiktionary        MediaWiki:Gadget-catinsert.js
hywikiquote         MediaWiki:RefToolbar.js
hywikisource        MediaWiki:Gadget-maqrich.js
hywikisource        MediaWiki:Gadget-ocr.js
iawiki              MediaWiki:Common.js/edit.js
incubatorwiki       MediaWiki:Wy/su/Common.js
iswiki              MediaWiki:Gadget-lib-toolbar.js
itwikibooks         MediaWiki:Gadget-toolbar.js
itwikiquote         MediaWiki:Gadget-PulsantiBase.js
itwikiquote         MediaWiki:Toolbar.js
itwikisource        MediaWiki:Gadget-barbaforcutanew.js
itwikisource        MediaWiki:Gadget-editFormAutore.js
itwikiversity       MediaWiki:Gadget-toolbar.js
itwikivoyage        MediaWiki:Gadget-PulsantiBase.js
jawikisource        MediaWiki:Gadget-RegexpButton.js
kawiki              MediaWiki:Gadget-refmind.js
kawiki              MediaWiki:Gadget-wikilinker.js
lezwiki             MediaWiki:Editpage.js
lezwiki             MediaWiki:Wikificator.js
ltwiki              MediaWiki:Group-user.js
lvwiki              MediaWiki:Gadget-lib-toolbar.js
lvwiki              MediaWiki:Wikificator.js
mkwiki              MediaWiki:Common.js/edit.js
mlwiki              MediaWiki:Common.js/edit.js
nowiki              MediaWiki:Gadget-Transkripsjon-kyrillisk.js
nvwiki              MediaWiki:Vector.js
ocwiki              MediaWiki:Gadget-TiretSignature.js
orwiki              MediaWiki:Common.js/edit.js
orwikisource        MediaWiki:Gadget-cropimage.js
oswiki              MediaWiki:Gadget-Cyrillic-ae-to-Latin-ae.js
oswiki              MediaWiki:Gadget-Ossetian-alphabet-support.js
pawikisource        MediaWiki:OCR.js
plwiki              MediaWiki:Gadget-lib-toolbar.js
plwiki              MediaWiki:Gadget-nuxTBKeys.js
plwikibooks         MediaWiki:Gadget-lib-toolbar.js
plwikinews          MediaWiki:Gadget-lib-toolbar.js
plwikiquote         MediaWiki:Gadget-lib-toolbar.js
plwiktionary        MediaWiki:Gadget-add-word.js
plwiktionary        MediaWiki:Gadget-edit-form-launcher.js
plwiktionary        MediaWiki:Gadget-edit-form-ui.js
plwiktionary        MediaWiki:Gadget-extended-toolbar.js
plwiktionary        MediaWiki:Gadget-lib-toolbar.js
plwiktionary        MediaWiki:Gadget-translation-editor.js
ptwikibooks         MediaWiki:Gadget-ImprovedEditToolbar.js
ptwikisource        MediaWiki:Gadget-Extra toolbar.js
rowikivoyage        MediaWiki:Editor.js
ruwikibooks         MediaWiki:Gadget-common-action-edit.js
ruwikimedia         MediaWiki:Editpage.js
ruwikiquote         MediaWiki:Gadget-urldecoder.js
ruwikiquote         MediaWiki:Wikificator.js
ruwikisource        MediaWiki:Editpage.js
ruwikisource        MediaWiki:Gadget-Deyatificator.js
ruwikisource        MediaWiki:Gadget-urldecoder.js
ruwikisource        MediaWiki:Gadget-wikilinker-BEED.js
ruwikisource        MediaWiki:Gadget-wikilinker.js
ruwikisource        MediaWiki:Gadget-wikilinker2.js
ruwikisource        MediaWiki:Wikificator.js
ruwikivoyage        MediaWiki:ListingButtons.js
ruwiktionary        MediaWiki:Editpage.js
sahwiki             MediaWiki:Wikificator.js
sawikisource        MediaWiki:OCR.js
shwiki              MediaWiki:Gadget-extratoolbarbuttons.js
sourceswiki         MediaWiki:Base.js
sourceswiki         MediaWiki:GoogleOCR.js
sourceswiki         MediaWiki:OCR.js
sourceswiki         MediaWiki:RegexpButton.js
sowiki              MediaWiki:Common.js/edit.js
srwikiquote         MediaWiki:Gadget-extratoolbarbuttons.js
svwikivoyage        MediaWiki:Gadget-PulsantiBase.js
tawiki              MediaWiki:Common.js/edit.js
testwiki            MediaWiki:Gadget-ruwiki-common-action-edit.js
testwiki            MediaWiki:Gadget-ruwiki-wikifikator.js
tewikisource        MediaWiki:Base.js
tewikisource        MediaWiki:Gadget-Easy LST.js
tgwiki              MediaWiki:Gadget-common-action-edit.js
tgwiki              MediaWiki:Gadget-urldecoder.js
tgwiki              MediaWiki:Gadget-wefsources.js
tgwiki              MediaWiki:Gadget-wikificator.js
tgwiki              MediaWiki:Gadget-wikilinker.js
tgwiki              MediaWiki:Gadget-yandex-speechrecognition.js
trwiki              MediaWiki:Common.js/edit.js
trwiki              MediaWiki:Gadget-Kaynakyardimcisi.js
trwiktionary        MediaWiki:Gadget-Sablonyardimcisi.js
udmwiki             MediaWiki:Editpage.js
udmwiki             MediaWiki:Gadget-urldecoder.js
udmwiki             MediaWiki:Wikificator.js
ugwiktionary        MediaWiki:Gadget-add-word.js
ukwiki              MediaWiki:Gadget-wikilinker.js
ukwiki              MediaWiki:Onlyifediting.js
ukwikinews          MediaWiki:Gadget-NewsExtraEditButtons.js
ukwikisource        MediaWiki:Poem.js
ukwikisource        MediaWiki:Prose.js
urwikiquote         MediaWiki:Gadget-Extra-Edittools.js
uzwiki              MediaWiki:Editpage.js
vecwikisource       MediaWiki:Gadget-EditFormAutor.js
vecwikisource       MediaWiki:Gadget-EditFormNs0.js
viwiktionary        MediaWiki:Gadget-jquery.wikiEditor.toc.css
viwiktionary        MediaWiki:Gadget-linkify.js
viwiktionary        MediaWiki:Gadget-tot.js
zhwiki              MediaWiki:Gadget-EditToolbarThunks.js
zhwiki              MediaWiki:Gadget-Edittools-vector.js
zhwikisource        MediaWiki:Gadget-Edittools-vector.js

## Private wiki results
otrs_wikiwiki       MediaWiki:Common.js

mwgrep for them and fix easier ones

Unless we've made a mistake (which is possible), then every case should be equally easy: replace with 'ext.wikiEditor'.

Change 402851 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Emit deprecation warnings when old modules are used

https://gerrit.wikimedia.org/r/402851

He7d3r added a subscriber: He7d3r.Jan 8 2018, 4:37 PM

Change 402851 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Emit deprecation warnings when old modules are used

https://gerrit.wikimedia.org/r/402851

thanks for the pointer
{{done}} enwikisource

Krinkle closed this task as Resolved.Sep 17 2019, 2:41 AM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.
On T165112#4900623, @gerritbot wrote in January 2019:

Change 485355 by @Krinkle was merged:
[mediawiki/extensions/WikiEditor@master] Remove deprecated ext.wikiEditor module aliases
https://gerrit.wikimedia.org/r/485355

Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Sep 17 2019, 3:26 AM
happy5214 moved this task from Backlog to Closed on the WikiEditor board.Oct 10 2019, 10:30 PM